diff --git a/src/base/Lang.cpp b/src/base/Lang.cpp
index c3472c4..0527961 100644
--- a/src/base/Lang.cpp
+++ b/src/base/Lang.cpp
@@ -24,6 +24,7 @@
 
 #include <wx/log.h>
 #include <wx/string.h>
+#include <wx/wxcrtvararg.h>
 
 #include "Calculator.h"
 #include "Conf.h"
diff --git a/src/gui/ToolPanel.cpp b/src/gui/ToolPanel.cpp
index 226ad94..d98eb6f 100644
--- a/src/gui/ToolPanel.cpp
+++ b/src/gui/ToolPanel.cpp
@@ -392,7 +392,7 @@ void ToolbarFactory::createChoiceItem( wxToolBar *toolbar, const int &item )
 		label = _( "Sources" );
 		break;
 	case TBS_YOGAFIRSTHOUSE:
-		control = new wxChoice( toolbar, item, wxDefaultPosition, wxSize( 120, -1 ), 15, first_house_choices, wxADJUST_MINSIZE );
+		control = new wxChoice( toolbar, item, wxDefaultPosition, wxSize( 120, -1 ), 15, first_house_choices, 0 );
 		label = _( "Ascendant" );
 		break;
 	case TBS_ANTARDASALEVEL:
diff --git a/src/gui/TreeWidget.cpp b/src/gui/TreeWidget.cpp
index b90fed1..ecb8464 100644
--- a/src/gui/TreeWidget.cpp
+++ b/src/gui/TreeWidget.cpp
@@ -333,28 +333,28 @@ public:
 
 	// attributes
 	// get them - may be NULL
-	wxTreeItemAttr *GetAttributes() const {
+	wxTextAttr *GetAttributes() const {
 		return m_attr;
 	}
 	// get them ensuring that the pointer is not NULL
-	wxTreeItemAttr& Attr()
+	wxTextAttr& Attr()
 	{
 		if ( !m_attr )
 		{
-			m_attr = new wxTreeItemAttr;
+			m_attr = new wxTextAttr;
 			m_ownsAttr = TRUE;
 		}
 		return *m_attr;
 	}
 	// set them
-	void SetAttributes(wxTreeItemAttr *attr)
+	void SetAttributes(wxTextAttr *attr)
 	{
 		if ( m_ownsAttr ) delete m_attr;
 		m_attr = attr;
 		m_ownsAttr = FALSE;
 	}
 	// set them and delete when done
-	void AssignAttributes(wxTreeItemAttr *attr)
+	void AssignAttributes(wxTextAttr *attr)
 	{
 		SetAttributes(attr);
 		m_ownsAttr = TRUE;
@@ -371,7 +371,7 @@ private:
 	MyArrayGenericTreeItems m_children; // list of children
 	MyGenericTreeItem  *m_parent;       // parent of this item
 
-	wxTreeItemAttr     *m_attr;         // attributes???
+	wxTextAttr     *m_attr;         // attributes???
 
 	// tree ctrl images for the normal, selected, expanded and
 	// expanded+selected states
@@ -610,7 +610,7 @@ MyGenericTreeItem::MyGenericTreeItem(MyGenericTreeItem *parent,
 
 	m_parent = parent;
 
-	m_attr = (wxTreeItemAttr *)NULL;
+	m_attr = (wxTextAttr *)NULL;
 	m_ownsAttr = FALSE;
 
 	// We don't know the height here yet.
@@ -2200,7 +2200,7 @@ void MyGenericTreeCtrl::PaintItem(MyGenericTreeItem *item, wxDC& dc)
 	// TODO implement "state" icon on items
 	if ( item->IsHidden() ) return;
 
-	wxTreeItemAttr *attr = item->GetAttributes();
+	wxTextAttr *attr = item->GetAttributes();
 	if ( attr && attr->HasFont() )
 		dc.SetFont(attr->GetFont());
 	else if (item->IsBold())
@@ -2364,7 +2364,7 @@ void MyGenericTreeCtrl::PaintLevel( MyGenericTreeItem *item, wxDC &dc, int level
 		}
 		else
 		{
-			wxTreeItemAttr *attr = item->GetAttributes();
+			wxTextAttr *attr = item->GetAttributes();
 			if (attr && attr->HasTextColour())
 				colText = attr->GetTextColour();
 			else
@@ -3224,7 +3224,7 @@ void MyGenericTreeCtrl::CalculateSize( MyGenericTreeItem *item, wxDC &dc )
 	wxCoord text_w = 0;
 	wxCoord text_h = 0;
 
-	wxTreeItemAttr *attr = item->GetAttributes();
+	wxTextAttr *attr = item->GetAttributes();
 	if ( attr && attr->HasFont() )
 		dc.SetFont(attr->GetFont());
 	else if ( item->IsBold() )
